summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMarkos Chandras <mchandras@suse.de>2018-03-23 08:38:47 +0000
committerMarkos Chandras <mchandras@suse.de>2018-03-23 08:40:11 +0000
commit10891483b87546803280b619fb4611692c3e7098 (patch)
treec7a57f1469c3271d4378255e801ded6bd9fd740b
parent88fc810539b0ecc6ffd74cd3de88de527221938c (diff)
xci: files: install-lib.sh: Hide rsync errors
rsync may fail because the OPNFV VM doesn't exist if we failed quite early in the process so hide any errors from the remote rsync operation to avoid confusion. Change-Id: I43dfb0a527165a186674178d12e6d00ffc61f580 Signed-off-by: Markos Chandras <mchandras@suse.de>
-rw-r--r--xci/files/install-lib.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/xci/files/install-lib.sh b/xci/files/install-lib.sh
index 2679233d..8ac6d612 100644
--- a/xci/files/install-lib.sh
+++ b/xci/files/install-lib.sh
@@ -182,8 +182,8 @@ collect_xci_logs() {
mkdir -p ${LOG_PATH}/ara/ ${LOG_PATH}/opnfv/ara
rsync -q -a "${HOME}/.ara/ansible.sqlite" "${LOG_PATH}/ara/"
- rsync -q -a root@${OPNFV_HOST_IP}:releng-xci/${LOG_PATH#$XCI_PATH/}/ ${LOG_PATH}/opnfv/ || true
- rsync -q -a root@${OPNFV_HOST_IP}:.ara/ansible.sqlite ${LOG_PATH}/opnfv/ara/ || true
+ rsync -q -a root@${OPNFV_HOST_IP}:releng-xci/${LOG_PATH#$XCI_PATH/}/ ${LOG_PATH}/opnfv/ &> /dev/null || true
+ rsync -q -a root@${OPNFV_HOST_IP}:.ara/ansible.sqlite ${LOG_PATH}/opnfv/ara/ &> /dev/null || true
sudo -H -E bash -c 'chown ${SUDO_UID}:${SUDO_GID} -R ${LOG_PATH}/'
}